require.config( {

  paths: {
    'jquery': 'libs/jquery/jquery-min',
    'underscore': 'libs/underscore/underscore-min',
    'backbone': 'libs/backbone/backbone-min',
    'bootstrap': 'libs/bootstrap/bootstrap.min',
    'funcproc': 'libs/FuncProc',
    'router': 'router',
    'templates': '../templates'
  },
  shim: {
    'jquery': {
      exports: '$'
    },
    'backbone': {
      deps: [ 'underscore', 'jquery' ],
      exports: 'Backbone'
    },
    'funcproc': {
      deps: [ 'jquery' ],
    },
    'underscore': {
      deps: [ 'jquery' ],
      exports: '_',
    },
    'bootstrap': {
      deps: [ 'jquery' ]
    },
    'router': {
      deps: [ 'backbone' ]
    }
  }

} );

require( [ 'jquery', 'backbone', 'router' ], function ( $, Backbone, Router ) {
  var router = new Router();
  $( "body" )
    .on( "click", ".back-button", function ( event ) {
      event.preventDefault();
      window.history.back();
    } );

  Backbone.history.start();
} );