define( function( require ) {

  var $ = require( 'jquery' ),
    _ = require( 'underscore' ),
    funcProc = require( 'funcproc' ),
    AgencySearchTemplate = require( 'text!templates/agencies/AgencySearchTemplate.html' );

  var AgencySearchView = Backbone.View.extend( {
    el: $( "#content" ),
    initialize: function( options ) {
      this.options = options || {};
      this.listenTo( this.model, "change", this.render );
    },
    render: function() {
      funcProc.addBackButton();
      var compiledTemplate = _.template( AgencySearchTemplate, {
        results: this.model.attributes,
        search: this.options
      } );
      this.$el.html( compiledTemplate );
    }
  } );

  return AgencySearchView;
} );