define( function ( require ) {

  var $ = require( 'jquery' ),
    _ = require( 'underscore' ),
    AgencyStatusTemplate = require( 'text!templates/agencies/AgencyStatusTemplate.html' ),
    funcProc = require( 'funcproc' );

  var AgencyStatusView = Backbone.View.extend( {
    el: $( "#content" ),
    initialize: function () {
      $( this.el )
        .off( 'submit', '#agsearchform' );

    },
    events: {
      'submit #agsearchform': 'agencySearchSubmit'
    },
    render: function () {
      this.$el.html( AgencyStatusTemplate );
    },
    agencySearchSubmit: function ( event ) {
      event.preventDefault();
      var hasConnection = funcProc.checkConnection();
      if ( hasConnection == true ) {
        var agname = $( '#agname' )
          .val();

        if ( agname == '' ) {

          window.alert( 'Agency name is required.', 'Agency', 'ok', null );
          return false;
        }
        var searchopt = $( '[name = "searchopt" ]:checked' )
          .val();
        Backbone.history.navigate( 'agsearch/' + agname + '/' + searchopt, {
          trigger: true
        } );
      }
    }
  } );

  return AgencyStatusView;
} );