define( function ( require ) {

  var $ = require( 'jquery' ),
    _ = require( 'underscore' ),
    JoborderFormTemplate = require( 'text!templates/joborders/JoborderFormTemplate.html' ),
    funcProc = require( 'funcproc' );

  var JoborderFormView = Backbone.View.extend( {
    el: $( "#content" ),
    initialize: function () {
      $( this.el )
        .off( 'submit', '#josearchform' );

    },
    events: {
      'submit #josearchform': 'joSearchSubmit'
    },
    render: function () {
      this.$el.html( JoborderFormTemplate );
    },
    joSearchSubmit: function ( event ) {
      event.preventDefault();
      var hasConnection = funcProc.checkConnection();
      if ( hasConnection == true ) {
        $( '#josearchform' )
          .blur();
        var pos = $( '#pos' )
          .val();
        if ( pos == '' ) {
          alert( 'Position is required.', 'Position', 'ok', null );
          return false;
        }
        var searchopt = $( '[name = "searchopt" ]:checked' )
          .val();
        Backbone.history.navigate( 'josearch/' + pos + '/' + searchopt, {
          trigger: true
        } );
      }
    }
  } );

  return JoborderFormView;
} );